Permalink
Browse files

Wasn't working with XCode 3.1.2 / Leopard; added explicit Foundation.…

…framework requirement, updated writeToFile message.

Signed-off-by: elliottcable <github.com@elliottcable.com>
  • Loading branch information...
1 parent 8c04ec2 commit 2c677fe84f6470d15a3d1b14d5942d17b7937f59 @wajiii wajiii committed with Feb 18, 2009
Showing with 6 additions and 1 deletion.
  1. +6 −1 xcode-git-versioner.rb
View
@@ -1,3 +1,8 @@
+# per: http://rubycocoa.sourceforge.net/RequireFramework
+require 'osx/cocoa'
+include OSX
+OSX.require_framework 'Foundation'
+
RunOnlyOnRelease = false
raise "Must be run from Xcode" unless ENV['XCODE_VERSION_ACTUAL']
@@ -16,6 +21,6 @@
list = NSMutableDictionary.dictionaryWithContentsOfFile plist
list['CFBundleVersion'] = version
-list.writeToFile plist, :atomically => true
+list.objc_send(:writeToFile, plist, :atomically, true)
puts "CFBundleVersion set to '#{version}'!"

0 comments on commit 2c677fe

Please sign in to comment.